
QGIS Application - Feature request #5426

selected objects should go to top level

2012-04-20 02:19 PM - aperi2007 -

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Pull Request or Patch supplied:No Resolution: duplicate

Easy fix?: No Copied to github as #: 15083

Description

In qgis-dev 3147836.

When a layer has more object overlapped each-other.

Selecting one element using the table.

The selected element is colored yellow.

But if it is not on top of overlapped element it is not visible.

The selected elements (one or more) should always go on top of the layer, this will help it use.

History

#1 - 2012-04-22 05:16 AM - aperi2007 -

Perhaps a good solution should be to add to qgis a "phantom layer" always on top of the other layers.

This phantom layer is not accessible from legend.

But it is fill only with eventually selected geometries from others layer.

When the user click on "deselect geometries" the phantom layer is clean.

#2 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2014-03-05 08:21 PM - Melissa Nunes

I would rank this higher than 'nice to have'. Not being able to see selections over other features in the same layer makes QGIS not very useful in QAing my

data entry. Thanks!

#5 - 2015-12-09 02:48 AM - Médéric RIBREUX

- Resolution set to duplicate

- Status changed from Open to Closed

Hello, bug triage...

this is a duplicate of #5411.

I am closing it !
